;---------------------------------------------------------------    
;intdat.inc - data for Int Monitor                             |
;--------------------------------------------------------------|
;
iostack3        segment para stack 'STACK' use16
io_stack3       dw      256 dup('S')
io_sp3          label   word
iostack3        ends

iostack         segment para public 'STACK' use16
STACK_BEG       EQU     $
io_stack        dw      256 dup('S')
io_sp           label   word
STACK_END       EQU     $
iostack         ends

gdt_seg         segment para public 'data16' use16
                public  sel_databs   
                public  sel_stack    
                public  sel_video    
                public  sel_data     
                public  sel_tss_alias

GDT_BEG         EQU     $
sel_null        seg_descrip     <>
sel_tss         seg_descrip     <>
sel_tss_alias   seg_descrip     <>
sel_gdt_alias   seg_descrip     <>
sel_isrcode     seg_descrip     <>
sel_code        seg_descrip     <>
sel_databs      seg_descrip     <>
sel_stack       seg_descrip     <>
sel_video       seg_descrip     <>
sel_data        seg_descrip     <>
GDT_END         EQU     $
gdt_seg         ends                              

idt_seg         segment para public 'data16' use16
IDT_BEG         EQU     $
                irp     z, <0, 1, 2, 3, 4, 5, 6, 7>
                DEFIDTI &z
                endm

                irp     z, <8, 9, 0ah, 0bh, 0ch, 0dh, 0eh, 0fh>
                DEFIDTE &z
                endm

 idt       (1fh - 0fh)  dup(<,,,PRESENT + (DPL0 shl 5) + INT_GATE,>)

                irp     z, <20h, 21h, 22h, 23h, 24h, 25h, 26h, 27h>
                DEFIDTI &z
                endm
 idt       (6Fh - 27h)  dup(<,,,PRESENT + (DPL0 shl 5) + INT_GATE,>)

                irp     z, <70h, 71h, 72h, 73h, 74h, 75h, 76h, 77h>
                DEFIDTI &z
                endm

IDT_END         EQU     $
idt_seg         ends                              

data            segment para public 'data16' use16
                public  old_user_int
                public  store_buf     
                public  store_buf_end 
                public  store_ptr     
                public  display_loc
                public  intm_ctrl


DATA_BEG        EQU     $
noprot_msg      db      'Can not run if already in protected mode.',BEEP, CR, LF, '$'
not386_msg      db      'Program requires at least an 80386.', BEEP, CR, LF, '$'
old_user_int    dd      ?


intm_ctrl       int_struc <>
store_buf       db      BUF_SIZE dup(0)
store_buf_end   equ     $
store_ptr       dw      offset store_buf

gdtl            EQU     THIS FWORD
gdtlim          dw      (GDT_END-GDT_BEG)-1
gdtadrs         dd      ?

idtl            EQU     THIS FWORD
idtlim          dw      (IDT_END-IDT_BEG)-1
idtadrs         dd      ?

display_loc     dw      0               ;offset into video page
DATA_END        EQU     $
data            ends                              

tss_seg         segment para public 'data16' use16
TSS_BEG         EQU     $
                tss_dat <>
TSS_END         EQU     $
tss_seg         ends                              

;------end of intdat.inc

